QT       += core gui sql datavisualization printsupport opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += MUPARSER_STATIC

#DEFINES += QCUSTOMPLOT_USE_OPENGL

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    datastructures/dynamic_column.cpp \
    dialogs/advanced.cpp \
    dialogs/color_scale_dialog.cpp \
    dialogs/dynamic_col_dialog.cpp \
    widgets/axis_configurator_widget.cpp \
    widgets/chart_config_item.cpp \
    dialogs/chart_element_dialog.cpp \
    widgets/color_button.cpp \
    widgets/data_selector_widget.cpp \
    database.cpp \
    dialogs/database_dialog.cpp \
    dialogs/datalog_load_dialog.cpp \
    widgets/filter_config_widget.cpp \
    widgets/filter_list_widget.cpp \
    dialogs/import_xdf_dialog.cpp \
    dialogs/interpolation_dialog.cpp \
    main.cpp \
    mainwindow.cpp \
    modules/module.cpp \
    modules/module_analyzer.cpp \
    modules/module_compare.cpp \
    widgets/lookup_config_widget.cpp \
    widgets/math_entry_widget.cpp \
    widgets/module_container_widget.cpp \
    modules/module_datalog.cpp \
    modules/module_grapher.cpp \
    modules/module_grapher2d.cpp \
    modules/module_table.cpp \
    muparser/src/muParser.cpp \
    muparser/src/muParserBase.cpp \
    muparser/src/muParserBytecode.cpp \
    muparser/src/muParserCallback.cpp \
    muparser/src/muParserDLL.cpp \
    muparser/src/muParserError.cpp \
    muparser/src/muParserInt.cpp \
    muparser/src/muParserTest.cpp \
    muparser/src/muParserTokenReader.cpp \
    widgets/qcustomplot.cpp \
    datastructures/regression.cpp \
    datastructures/rfanalysis.cpp \
    datastructures/rfdatalog.cpp \
    datastructures/rfmathtable.cpp \
    datastructures/rfsqltable.cpp \
    datastructures/rftable.cpp \
    datastructures/rftablemodel.cpp \
    widgets/rftablewidget.cpp \
    widgets/surfacegraph.cpp \
    dialogs/table_config_dialog.cpp \
    datastructures/table_geometry.cpp

HEADERS += \
    config.h \
    datastructures/dynamic_column.h \
    dialogs/advanced.h \
    datastructures/afilter.h \
    dialogs/color_scale_dialog.h \
    dialogs/dynamic_col_dialog.h \
    widgets/axis_configurator_widget.h \
    widgets/chart_config_item.h \
    dialogs/chart_element_dialog.h \
    widgets/color_button.h \
    widgets/data_selector_widget.h \
    database.h \
    dialogs/database_dialog.h \
    dialogs/datalog_load_dialog.h \
    widgets/filter_config_widget.h \
    widgets/filter_list_widget.h \
    dialogs/import_xdf_dialog.h \
    dialogs/interpolation_dialog.h \
    mainwindow.h \
    modules/module.h \
    modules/module_analyzer.h \
    modules/module_compare.h \
    widgets/lookup_config_widget.h \
    widgets/math_entry_widget.h \
    widgets/module_container_widget.h \
    modules/module_datalog.h \
    modules/module_grapher.h \
    modules/module_grapher2d.h \
    modules/module_table.h \
    muparser/include/muParser.h \
    muparser/include/muParserBase.h \
    muparser/include/muParserBytecode.h \
    muparser/include/muParserCallback.h \
    muparser/include/muParserDLL.h \
    muparser/include/muParserDef.h \
    muparser/include/muParserError.h \
    muparser/include/muParserFixes.h \
    muparser/include/muParserInt.h \
    muparser/include/muParserTemplateMagic.h \
    muparser/include/muParserTest.h \
    muparser/include/muParserToken.h \
    muparser/include/muParserTokenReader.h \
    widgets/qcustomplot.h \
    datastructures/regression.h \
    datastructures/rfanalysis.h \
    datastructures/rfdatalog.h \
    datastructures/rfmathtable.h \
    datastructures/rfsqltable.h \
    datastructures/rftable.h \
    datastructures/rftablemodel.h \
    widgets/rftablewidget.h \
    widgets/surfacegraph.h \
    dialogs/table_config_dialog.h \
    datastructures/table_geometry.h

FORMS += \
    dialogs/advanced.ui \
    dialogs/color_scale_dialog.ui \
    dialogs/dynamic_col_dialog.ui \
    widgets/axis_configurator_widget.ui \
    widgets/chart_config_item.ui \
    dialogs/chart_element_dialog.ui \
    widgets/data_selector_widget.ui \
    dialogs/database_dialog.ui \
    dialogs/datalog_load_dialog.ui \
    widgets/filter_config_widget.ui \
    widgets/filter_list_widget.ui \
    dialogs/import_xdf_dialog.ui \
    dialogs/interpolation_dialog.ui \
    mainwindow.ui \
    modules/module_analyzer.ui \
    modules/module_compare.ui \
    modules/module_datalog.ui \
    modules/module_grapher.ui \
    modules/module_grapher2d.ui \
    modules/module_table.ui \
    widgets/lookup_config_widget.ui \
    widgets/rftablewidget_controls.ui \
    dialogs/table_config_dialog.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
  res.qrc

DISTFILES += \
  changelog.txt
